"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.consoleLogger = exports.ConsoleLogger = void 0;
const chalk_1 = require("chalk");
const program = require("commander");
class ConsoleLogger {
    error(errorMessage, ...args) {
        console.error(chalk_1.default.red(errorMessage), args.length ? args : '');
    }
    log(message, ...args) {
        if (!program.quiet) {
            console.log(message, args.length ? args : '');
        }
    }
    warn(warnMessage, ...args) {
        console.warn(chalk_1.default.yellow(warnMessage), args.length ? args : '');
    }
}
exports.ConsoleLogger = ConsoleLogger;
exports.consoleLogger = new ConsoleLogger();
//# sourceMappingURL=logger.js.map