"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readFile = exports.readGlob = void 0;
const fs = require("fs");
const globUtil = require("glob");
function readGlob(pattern) {
    return new Promise((resolve, reject) => {
        globUtil(pattern, { silent: false }, (err, files) => {
            if (err) {
                reject(err);
            }
            resolve(files);
        });
    });
}
exports.readGlob = readGlob;
function readFile(file) {
    return new Promise((resolve, reject) => {
        fs.readFile(file, 'utf8', (err, data) => err ? reject(err) : resolve(data));
    });
}
exports.readFile = readFile;
//# sourceMappingURL=utilities.js.map